PDA

Afficher la version complète : [Réglé] Flashplayer inactif sur Youtube !



moniroje
05/10/2008, 22h31
Je constate (en fait un pote à qui je montrais ma Debian a constaté) aujourd'hui que à Youtube, je n'ai pas accès à FlashPlayer pour cause de Java .
Alors que pour ma Suse 64 bits, ça marche nickel depuis que j'ai suivi les conseils d'un Debianneux en installant openjdk.
Ne me rappelant plus si ma Debian est en 32 ou en 64 bits, je fais Synaptic et vois que openjdk est un " full java environment-needed for executing JAVA GUI and Webstart programs. Using Hotspot JIT " sans spécifier 32 ou 64 bits; donc je l'installe avec ses dépendances. Bogues de gravité grave sur ca-certificates-java et sur openjdk-6-jre-headless: j'installe quand même. Résultat en allant sur YouTube: aucun progrès.
Alors, avant de faire du "métissage" tordu, je préfère vous demander.

Sur Synaptic, je fais Rechercher: java et voilà ce qu'il y a dans ma machine:
(acroread-escript) (acroread-plugins)(bsh)(bsh-gcj)(ca-certificates-java)(dbus)(fastjar)(gci-4.1-base)(gci-4.3-base)(gij)(gij-4.1)(gij-4.3)(java-common)(java-gcj-compat)(java-gcj-compat-headless)(javascript-common)(libaccess-bridge-java)(libbcel-java)(libdbus-1-3)(libgcj7-1)(libgcj9-0)(libgcj-jar)(libgcj-common)(libgtksourceview-2.0-common)(libgtksourceview-common)(libhsqldb-java)(libhsqldb-java-gcj)(libjaxp1.3-java)(libjaxp1.3-java-gcj)(libjline-java)(libjs-jquery)(liblog4j1.2-java)(libmozjs0d)(libmozjs1d)(libmx4j-java)la vache!! pensais pas qu'il y en aurait autant!(libregexp-java)(libservlet2.4-java)(libxalan2-java)(libxalan2-java-gcj)(libxerces2-java)(libxerces2-java-gcj)(libxml-sax-perl)(libxul0d)(libxul-common)(mozilla-firefox-adblock)(mozilla-noscript)(mozilla-plugin-vlc)(openjdk-6-jre)(openjdk-6-jre-headless)(openjdk-6-jre-lib)(rhino)(tzdata-java)

thveillon
06/10/2008, 11h05
Salut,

"JDK" ça veut dire "java development kit", permet le développement de programmes java, comme je ne pense pas que tu développes en java tu peux sans doute t'en passer... ;)

Tu aura plus l'usage de :

openjdk-6-jre ("JRE" c'est "Java runtime environment", permet l'exécution de programmes java )
icedtea-gcjwebplugin
flashplayer-mozilla (du dépôt debian-multimedia) ou flashplugin-nonfree (du dépôt Debian-contrib)

et bien sur des dépendances de ces paquets.

Youtube c'est du flash, pas du java. Si tu as un message d'erreur concernant un "java*" c'est sûrement "javascript", qui n'a rien à voir avec Java. Il faut l'activer dans les préférences de Iceweasel : menu "edition > préférences > contenu > activer javascript".

Il y a des extensions comme "noscript (https://addons.mozilla.org/fr/firefox/addon/722)" qui permettent d'activer/désactiver javascript pour certains sites en particulier, comme javascript peut représenter un risque potentiel pour la sécurité c'est pratique.

moniroje
07/10/2008, 15h15
Donc, au clic-clic sur une vidéo de YouTube, j'ai le message:
<div class='quotetop'>Citation </div>
You either have JavaScript turned off or an old version of Adobe's FlashPlayer. Get the latest...[/b]
Je vérifie comme tu dis:
Edition-Préférences-Contenu-"Activer JavaScript" était déjà coché.
De plus mon extension Noscript dit: Javascript actuellement autorisé
C'est donc que j'ai une old version. Je télécharge la version conseillée:
install-flashplayer_9_linux.tar.gz
Je vérifie via Synaptic: j'ai flashplayer-mozilla version 9.0-124.0-0.0 : c'est donc la dernière version!!! la même!! ??? est-ce bien nécessaire que j'installe le tar.gz??
clic-droite sur le fichier d'install tar.gz; tiens, je n'ai pas Extraire ici .

thveillon
07/10/2008, 19h57
La flash téléchargé chez Adobe ne tournera pas en 64bit, j'ai la même version de flash que toi et je n'ai pas de problème, ton installation doit avoir un soucis.

As-tu déjà essayé d'installer flash avec un paquet téléchargé chez Adobe ?

Peux-tu me donner le résultat de :


sudo find / -name *flashplayer*

moniroje
07/10/2008, 23h26
Hum, chuis pas sûr que ma Debian soit en 64 bits; peut-être ben que oui, peut-être ben que non.
et voilà ce que ça donne:
<div class='codetop'>CODE</div><div class='codemain' style='height:200px;white-space:pre;overflow:auto'>alain@debian:~$ sudo find / -name *flashplayer*

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

#1) Respect the privacy of others.
#2) Think before you type.
#3) With great power comes great responsibility.

[sudo] password for alain:
Sorry, try again.
[sudo] password for alain:
alain is not in the sudoers file. This incident will be reported.
alain@debian:~$ su
Mot de passe :
debian:/home/alain# sudo find / -name *flashplayer*
/var/lib/dpkg/info/flashplayer-mozilla.md5sums
/var/lib/dpkg/info/flashplayer-mozilla.list
/var/cache/apt/archives/flashplayer-mozilla_9.0.124.0-0.0_i386.deb
/Mesdocs/tagada/.macromedia/Flash_Player/macromedia.com/support/flashplayer
/Mesdocs/alain/.macromedia/Flash_Player/macromedia.com/support/flashplayer
/media/suse/usr/bin/flashplayer
/media/suse/usr/lib/browser-plugins/libflashplayer.so
/media/suse/usr/lib64/browser-plugins/npwrapper.libflashplayer.so
/media/suse/usr/share/applications/flashplayer.desktop
/media/suse/usr/share/pixmaps/flashplayer.png
/homeSuse/alain/.macromedia/Flash_Player/macromedia.com/support/flashplayer
/homeSuse/tagada/.macromedia/Flash_Player/macromedia.com/support/flashplayer
/home/alain/.macromedia/Flash_Player/macromedia.com/support/flashplayer
/home/alain/.mozilla/plugins/flashplayer.xpt
/home/alain/.mozilla/plugins/libflashplayer.so
/home/alain/Documents/install_flash_player_9_linux/libflashplayer.so
/home/alain/Documents/install_flash_player_9_linux/flashplayer-installer
/usr/share/doc/flashplayer-mozilla
/usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/iceape/plugins/libflashplayer.so
/usr/lib/iceweasel/plugins/libflashplayer.so
debian:/home/alain#</div>
Ben dis donc!!! sudo find / -name *flashplayer* c'est plus efficace que whereis !!!

thveillon
12/10/2008, 12h06
Salut, désolé pour le suivi "élastique" du sujet, je n'ai pas de connexion 3G mobile sur mon pda (que je n'ai pas non plus... ;) ) !

Tu n'es pas en amd64, du moins c'est qu'indique :

<div class='quotetop'>Citation </div>
/var/cache/apt/archives/flashplayer-mozilla_9.0.124.0-0.0_i386.deb[/b]

Pour le savoir rapidement :


uname -a

ça te renseignera au moins sur l'architecture de ton noyau !


Pour Flash tu as l'air d'avoir ce qu'il faut, si on résume à ce qui compte ça donne :

<div class='quotetop'>Citation </div>
/home/alain/.mozilla/plugins/flashplayer.xpt
/home/alain/.mozilla/plugins/libflashplayer.so
/usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/iceape/plugins/libflashplayer.so
/usr/lib/iceweasel/plugins/libflashplayer.so[/b]

Vérifie que tu n'as pas un paquet "swfdec" ou "gnash" installé:


aptitude search swfdec gnash | grep ^i

Si ça renvoie quelque chose enlève le paquet correspondant.

Regarde dans les "préférences de Iceweasel > Applications" ce qui est associé avec les fichiers "SWF", tu devrais avoir "Shockwave Flash".

Si après tout ça rien ne change, il faut regarder en détail où est le plugin, où sont les liens symboliques, et si tout ça n'a pas été chamboullé par une installation manuelle au-dessus d'un paquet :


find /usr/lib/ ~/.mozilla/ -name *flash*.so -ls


Tout ça pour des videos idiotes... ;)

moniroje
12/10/2008, 13h34
alain@debian:~$ uname -a
Linux debian 2.6.26-1-686 #1 SMP Wed Sep 24 15:02:04 UTC 2008 i686 GNU/Linux
alain@debian:~$
et

alain@debian:~$ aptitude search swfdec gnash | grep ^i
i A gnash - free Flash movie player
i A gnash-common - free Flash movie player - common files/lib
i A libswfdec-0.6-90 - SWF (Macromedia Flash) decoder library
i mozilla-plugin-gnash - free Flash movie player - Plugin for Mozil
idA swfdec-gnome - Tools to play SWF files (Macromedia Flash)
i swfdec-mozilla - Mozilla plugin for SWF files (Macromedia F
alain@debian:~$
il faut donc que j'enlève les paquets gnash et mozilla-plugin-gnash et swfdec-mozilla; j'enlève donc avec (Synaptic)
Dans les "préférences de Iceweasel > Applications" j'ai "fichier Schockwave Flash (application/futuresplash) et "fichier Schockwave Flash (application/x-schockwave-flash)"
Bon, j'essaye Youtube: ben non, toujours le même message: "Hello, you either have JavaScript turned off or an old version of Adobe's Flash Player. Get the latest Flash player. " Je re-boote, pas de compiz et je re-essaye: même résultat.

Quand même marrant: sur un autre post, je vois un Débianeux qui l'a impec mais pas sur Suse alors que moi, Suson, je l'ai impec sur Suse et pas sur Debian!!

J'aimerais bien retrouver la vidéo du feu rouge où ya une voiture avec un jeunot qui attend; arrive un autre jeunot dans un cabriolet rouge sport; ils se regardent, le jeunot dans la rouge qui ricane; vroum, vroum... au vert la rouge démarre sur les chapeaux de roue, laissant sur place l'autre... C'est pas idiot, ça!!!

yoplait
12/10/2008, 13h39
Mon flash ne marche pas, en 64.
Personnellement, j'ai tout ca :

yop@debian:~$ aptitude search swfdec gnash | grep ^i
i A gstreamer0.8-swfdec - SWF (Macromedia Flash) decoder plugin for
i A libswfdec-0.6-90 - SWF (Macromedia Flash) decoder library
i A libswfdec0.3 - SWF (Macromedia Flash) decoder library
i A swfdec-gnome - Tools to play SWF files (Macromedia Flash)
Mais ils dépendent soit de gstreamer-plugins, soit de gnome-desktop-environnement ... donc un peu limite à enlever...
Ce dont tu parles dans les applications d'iceweasel est correct.

Par ailleurs, voilà ceci :

debian:/home/yop# find /usr/lib/ ~/.mozilla/ -name *flash*.so -ls
1183407 7940 -rw-r--r-- 1 root root 8115888 mar 25 2008 /usr/lib/flashplugin-nonfree/libflashplayer.so
1052791 212 -rw-r--r-- 1 root root 212128 sep 6 06:59 /usr/lib/openoffice/program/libflash680lx.so
1635423 0 lrwxrwxrwx 1 root root 34 aoû 31 00:35 /usr/lib/mozilla/plugins/flash-mozilla.so -> /etc/alternatives/flash-mozilla.so
910225 80 -rwxr-xr-x 1 root root 74856 oct 8 14:24 /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so
Mais je ne vois rien de spécialement intéressant à mon humble niveau.

Voilà ... (désolé pour le squat de post ! :P )
(gnash, quand marcheras-tu ? ! )

thveillon
12/10/2008, 14h51
Tu as visiblement installé tout ce qui contenait "flash" dans la description du paquet ... ;)

Tu peux commencer par enlever tout ce qui concerne gnash*, mozilla-plugin-gnah, swfdec*, ensuite marque pour réinstallation flashplayer-mozilla histoire de remettre de l'ordre dans les liens symboliques vers le plugin qui marche.

PS: tu n'es pas en 64 bits

@ Yoplait : si les modos squatent les discussions des autres, on le reporte à qui ? :P

Dans ton cas tu peux aussi utiliser les conseils ci-dessus : sudo exterminate gnash swfdec && reinstall<sup>2</sup> flashplayer-mozilla && echo "good excuse for fsf fan-boys" ;) << ceci est une blague, n'essayez pas la commande chez vous...

gnash "marche bien" pour du flash 7, "à peu près des fois" pour du 8, "pas du tout jamais sauf vraiment bon coup de bol" pour les versions plus récentes... Mais c'est la priorité n°1 de la fsf, alors tout est possible ! Moi je préfère l'éditeur video comme priorité, mais vu l'état de la priorité absolue perpétuelle, aka "Hurd kernel", on peut se faire du soucis...

PS: "gnome-desktop-environment" et "gstreamer-plugins" sont des "meta-paquets", juste destinés à t'installer un tas de bazar sans te demander ton avis, et à te faire peur lorsque tu veux enlever un truc qui coince... : sudo exterminate $(meta-package) !!

moniroje
12/10/2008, 18h41
J'avais déjà enlevé les paquets gnash et mozilla-plugin-gnash et swfdec-mozilla au post précédent.
Je fais le truc pour yoplait pour faire bonne mesure:

alain@debian:~$ su
Mot de passe :
debian:/home/alain# sudo exterminate gnash swfdec && reinstall2 flashplayer-mozilla && echo "good excuse for fsf fan-boys"
sudo: exterminate: command not found
debian:/home/alain#
Retour à Synaptic: Recharger- Gnash & mozilla-plugin-gnash ne sont pas installés. rien non plus pour swfdec- et je choisis Reinstallation pour flashphayer-mozilla-voilà, il re-installe...un tit tout sur Youtube et:
Hello, you either have JavaScript turned off or an old version of Adobe's Flash Player. Get the latest Flash player.

thveillon
12/10/2008, 19h39
!!!!!! Désolé, mais la commande "exterminate..." était une blague ! C'est pour ça que je ne l'avais pas mise dans une boîte de "code" ... Je vais le rajouter en commentaire. :rolleyes:
D'une manière générale quand tu croises une commande étrange sur un forum, Google un peu ou fait un "man commande" pour savoir ce que ça fait avant ! Surtout s'il est question de su/sudo, de rm ou ce genre de choses !

Si tu es sur de toi pour le javascript, je te conseil de désinstaller flashplayer-mozilla, de supprimer manuellement les éventuels "libflashplayer.so" ou "flashplayer.xpt" qui resteraient sur la machine, et de réinstaller proprement soit la version de debian-multimedia (flashplayer-mozilla), soit celle de Debian (flashplugin-nonfree), soit celle du tarball téléchargé sur le site d'Adobe.

PS: ce sujet va rester dans les annales ! Il manque une rubrique " bêtisier " à Alionet, on pourrait confier la rubrique à oh!rocks que j'entends déjà rire d'ici...

oh!rocks
12/10/2008, 20h35
Tu as d'excellentes oreilles ! ;) :lol:


à plus,

oh!rocks

moniroje
12/10/2008, 21h57
vrai que exterminate m'a étonné, mais sachant qu'il y avait déjà kill et que les fans de Matrix et de la Guerre des étoiles sont maintenant adultes, pourquoi pas??? alors le vieil homme a voulu faire djeunn; mais bon, je préfère faire rire que pleurer, hein??
N'empêche, ohrocks, il rit pas, il hihanne!!!

Heu, je suis sûr de rien, encore moins d'un javascript...
Je désinstalle flashplayer-mozilla & flashplugin-nonfree-extrasound & libflash0c2 & libflash-mozplugin & libflash-swfplayer;
je mets à la corbeille les /home/alain/.mozilla/plugins/flashplayer.xpt et /home/alain/.mozilla/plugins/libflashplayer.so et je vérifie, ya pas ou plus:
/usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/iceape/plugins/libflashplayer.so
/usr/lib/iceweasel/plugins/libflashplayer.so
Bon, maintenant, j'installe flashplugin-nonfree et flashplugin-nonfree-extrasound; un reboot et...
Youtube: youpiii!!! la vidéo, ça marche!!! enfin!!! Debian =Suse!!!

yoplait
12/10/2008, 23h49
Debian=Suse ... quel final ! :P

Je testerai de mon côté demain ;) .

moniroje
13/10/2008, 17h05
Tiens, pour vous dire merci:
http://fr.youtube.com/watch?v=UnYKf4Akxo8